Commit 0e3f65d2 authored by Santi Raffa's avatar Santi Raffa Committed by Michele Tartara
Browse files

Fix indentation of devel/build_chroot



This commit is separated from the previous one for reviewing
convenience. If git-blame points to this revision as the culprit of
your problem, you probably have to go deeper.
Signed-off-by: default avatarSanti Raffa <rsanti@google.com>
Signed-off-by: default avatarMichele Tartara <mtartara@google.com>
Reviewed-by: default avatarMichele Tartara <mtartara@google.com>
parent ed2c3597
......@@ -126,128 +126,128 @@ case $DIST_RELEASE in
squeeze)
# do not install libghc6-network-dev, since it's too old, and just
# confuses the dependencies
in_chroot -- \
$APT_INSTALL \
autoconf automake \
ghc cabal-install \
libghc6-curl-dev \
libghc6-parallel-dev \
libghc6-text-dev \
libghc6-vector-dev \
libpcre3-dev \
hlint hscolour pandoc \
graphviz qemu-utils \
python-docutils \
python-simplejson \
python-pyparsing \
python-pyinotify \
python-pycurl \
python-ipaddr \
python-yaml \
python-paramiko
in_chroot -- \
$APT_INSTALL python-setuptools python-dev build-essential
in_chroot -- \
easy_install \
logilab-astng==0.24.1 \
logilab-common==0.58.3 \
mock==1.0.1 \
pylint==0.26.0
in_chroot -- \
easy_install \
sphinx==1.1.3 \
pep8==1.3.3 \
coverage==3.4 \
bitarray==0.8.0
in_chroot -- \
cabal update
in_chroot -- \
cabal install --global \
network==2.3 \
regex-pcre==0.94.4 \
hinotify==0.3.2 \
hslogger==1.1.4 \
quickcheck==2.5.1.1 \
attoparsec==0.10.1.1 \
crypto==4.2.4 \
MonadCatchIO-transformers==0.2.2.0 \
mtl==2.0.1.0 \
hashable==1.1.2.0 \
case-insensitive==0.3 \
parsec==3.0.1 \
snap-server==0.8.1 \
json==0.4.4
in_chroot -- \
cabal install --global \
hunit==1.2.5.2 \
happy==1.18.10 \
hlint==1.8.43 \
hscolour==1.20.3 \
temporary==1.1.2.3 \
test-framework==0.6.1 \
test-framework-hunit==0.2.7 \
test-framework-quickcheck2==0.2.12.3
in_chroot -- \
cabal install --global cabal-file-th
in_chroot -- \
cabal install --global shelltestrunner
#Install selected packages from backports
in_chroot -- \
$APT_INSTALL -t squeeze-backports \
git \
git-email \
vim
# do not install libghc6-network-dev, since it's too old, and just
# confuses the dependencies
in_chroot -- \
$APT_INSTALL \
autoconf automake \
ghc cabal-install \
libghc6-curl-dev \
libghc6-parallel-dev \
libghc6-text-dev \
libghc6-vector-dev \
libpcre3-dev \
hlint hscolour pandoc \
graphviz qemu-utils \
python-docutils \
python-simplejson \
python-pyparsing \
python-pyinotify \
python-pycurl \
python-ipaddr \
python-yaml \
python-paramiko
in_chroot -- \
$APT_INSTALL python-setuptools python-dev build-essential
in_chroot -- \
easy_install \
logilab-astng==0.24.1 \
logilab-common==0.58.3 \
mock==1.0.1 \
pylint==0.26.0
in_chroot -- \
easy_install \
sphinx==1.1.3 \
pep8==1.3.3 \
coverage==3.4 \
bitarray==0.8.0
in_chroot -- \
cabal update
in_chroot -- \
cabal install --global \
network==2.3 \
regex-pcre==0.94.4 \
hinotify==0.3.2 \
hslogger==1.1.4 \
quickcheck==2.5.1.1 \
attoparsec==0.10.1.1 \
crypto==4.2.4 \
MonadCatchIO-transformers==0.2.2.0 \
mtl==2.0.1.0 \
hashable==1.1.2.0 \
case-insensitive==0.3 \
parsec==3.0.1 \
snap-server==0.8.1 \
json==0.4.4
in_chroot -- \
cabal install --global \
hunit==1.2.5.2 \
happy==1.18.10 \
hlint==1.8.43 \
hscolour==1.20.3 \
temporary==1.1.2.3 \
test-framework==0.6.1 \
test-framework-hunit==0.2.7 \
test-framework-quickcheck2==0.2.12.3
in_chroot -- \
cabal install --global cabal-file-th
in_chroot -- \
cabal install --global shelltestrunner
#Install selected packages from backports
in_chroot -- \
$APT_INSTALL -t squeeze-backports \
git \
git-email \
vim
;;
wheezy)
in_chroot -- \
$APT_INSTALL \
autoconf automake ghc ghc-haddock libghc-network-dev \
libghc-test-framework{,-hunit,-quickcheck2}-dev \
libghc-json-dev libghc-curl-dev libghc-hinotify-dev \
libghc-parallel-dev libghc-utf8-string-dev \
libghc-hslogger-dev libghc-crypto-dev \
libghc-regex-pcre-dev libghc-attoparsec-dev \
libghc-vector-dev libghc-temporary-dev \
libghc-snap-server-dev libpcre3 libpcre3-dev hscolour hlint pandoc \
python-setuptools python-sphinx python-epydoc graphviz python-pyparsing \
python-simplejson python-pycurl python-paramiko \
python-bitarray python-ipaddr python-yaml qemu-utils python-coverage pep8 \
shelltestrunner python-dev pylint openssh-client vim git git-email
easy_install pyinotify==0.9.4
in_chroot -- \
$APT_INSTALL \
autoconf automake ghc ghc-haddock libghc-network-dev \
libghc-test-framework{,-hunit,-quickcheck2}-dev \
libghc-json-dev libghc-curl-dev libghc-hinotify-dev \
libghc-parallel-dev libghc-utf8-string-dev \
libghc-hslogger-dev libghc-crypto-dev \
libghc-regex-pcre-dev libghc-attoparsec-dev \
libghc-vector-dev libghc-temporary-dev \
libghc-snap-server-dev libpcre3 libpcre3-dev hscolour hlint pandoc \
python-setuptools python-sphinx python-epydoc graphviz python-pyparsing \
python-simplejson python-pycurl python-paramiko \
python-bitarray python-ipaddr python-yaml qemu-utils python-coverage pep8 \
shelltestrunner python-dev pylint openssh-client vim git git-email
easy_install pyinotify==0.9.4
;;
*)
in_chroot -- \
$APT_INSTALL \
autoconf automake ghc ghc-haddock libghc-network-dev \
libghc-test-framework{,-hunit,-quickcheck2}-dev \
libghc-json-dev libghc-curl-dev libghc-hinotify-dev \
libghc-parallel-dev libghc-utf8-string-dev \
libghc-hslogger-dev libghc-crypto-dev \
libghc-regex-pcre-dev libghc-attoparsec-dev \
libghc-vector-dev libghc-temporary-dev \
libghc-snap-server-dev libpcre3 libpcre3-dev hscolour hlint pandoc \
python-setuptools python-sphinx python-epydoc graphviz python-pyparsing \
python-simplejson python-pyinotify python-pycurl python-paramiko \
python-bitarray python-ipaddr python-yaml qemu-utils python-coverage pep8 \
shelltestrunner python-dev pylint openssh-client vim git git-email
in_chroot -- \
$APT_INSTALL \
autoconf automake ghc ghc-haddock libghc-network-dev \
libghc-test-framework{,-hunit,-quickcheck2}-dev \
libghc-json-dev libghc-curl-dev libghc-hinotify-dev \
libghc-parallel-dev libghc-utf8-string-dev \
libghc-hslogger-dev libghc-crypto-dev \
libghc-regex-pcre-dev libghc-attoparsec-dev \
libghc-vector-dev libghc-temporary-dev \
libghc-snap-server-dev libpcre3 libpcre3-dev hscolour hlint pandoc \
python-setuptools python-sphinx python-epydoc graphviz python-pyparsing \
python-simplejson python-pyinotify python-pycurl python-paramiko \
python-bitarray python-ipaddr python-yaml qemu-utils python-coverage pep8 \
shelltestrunner python-dev pylint openssh-client vim git git-email
;;
esac
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment